/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Cds               number is   A3
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향
  TouchPins[4]      number is   {11,14,15,16}
*/

#include <LiquidCrystal_I2C.h>
// set the LCD address to 0x27(0x3F) 
// for a 16 chars and 2 line display
LiquidCrystal_I2C lcd(0x27, 16, 2); 

//----------------------------------------------------------------------
// 부팅시 만 실행
void setup()  {
  // LCD 초기화 
  lcd.init();
  // 백라이트 활성화
  lcd.backlight();
  // LCD 화면 지우기
  lcd.clear();
}

void loop()  {

   //0행 0열 커서위치
  lcd.setCursor(0,0);
  lcd.print("Hello,MetaPlace!");
  //1행 0열 커서위치
  lcd.setCursor(0,1);
  lcd.print("Happy Day!");
}
