/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Cds               number is   A3
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향
  TouchPins[4]      number is   {11,14,15,16}
*/

/* 참고사항 : 아두이노우노 호환보드 사용시에는
// 시리얼통신 라이브러리 호출
#include <SoftwareSerial.h>
SoftwareSerial bluetooth_Serial(2,12);
// Meplino board에서는 사용하지 않음
*/

void setup() {
  Serial.begin(9600);

  //블루투스 시리얼 개방
  Serial1.begin(9600);    
}

void loop()  {
/* Serial Monitor에서 setting
  "line ending 없음"
  AT  (OK)
  AT+NAME이름 (OK+Set:이름)
*/

  // bluetooth_Serial 값이 있으면
  if (Serial1.available())
  { 
    //블루투스측 내용을 시리얼모니터에 출력
    Serial.write(Serial1.read());  
  }

  if (Serial.available())
  {
    // 시리얼모니터 내용을 블루투스측에 출력
    Serial1.write(Serial.read());  
  }    
}
