/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Cds               number is   A3
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향
  TouchPins[4]      number is   {11,14,15,16}
*/

// 토양 온습도 센서 핀 번호
#define Soil_Sensor A1

void setup() {
  Serial.begin(9600);
}

void loop() {
  // 토양 온습도 센서의 값을 읽어옴
  int soilSensorValue = analogRead(Soil_Sensor);

  // 시리얼 모니터에 출력
  Serial.print("토양 온습도 센서 값: ");
  Serial.println(soilSensorValue);

  delay(1000);  // 1초마다 측정
}
